Bug 866751 - RFE: Throw a Warning/Error when two topics exist in a Content Spec with the same ID, but different Revisions
RFE: Throw a Warning/Error when two topics exist in a Content Spec with the s...
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 00:06 EDT by Lee Newson
Modified: 2013-06-06 21:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:31:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-10-16 00:06:12 EDT
The CSP should display a warning or an error when two topics are used in a Content Specification that have the same ID but different revisions.

An example of from thildred as to why it should possibly be an error instead of a warning:

"take the example where two revisions represent two very different versions of a topic (like before and after a new ui was announced). If you allow two revisions of the same topic, you might allow two different sets of instructions on how to do something"
Comment 1 Lee Newson 2012-10-18 20:59:55 EDT
Added in 0.27.5.

Example output:

Starting to parse...
Starting first validation pass...
ERROR: Invalid Content Specification! Topic 8649 has two or more different revisions included in the Content Specification. The topic is located at:
       -> Revision 252830, lines(s) 71.
       -> Revision 286357, lines(s) 370.
ERROR: Invalid Content Specification! Topic 7320 has two or more different revisions included in the Content Specification. The topic is located at:
       -> Revision 180219, lines(s) 135, 182 and 276.
       -> Revision 274895, lines(s) 332, 404, 496, 522 and 545.
ERROR: The Content Specification is not valid.
Comment 2 Lee Newson 2013-06-06 21:31:29 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.